ReferenceDocumentsDocumentidPlaceholdersFill
Fill placeholders: values go to the form or memory and the text follows, without AI
Fill placeholders: values go to the form or memory and the text follows, without AI - POST /documents/{documentId}/placeholders/fill. DocDealer REST API…
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
documentId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/documents/string/placeholders/fill" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "placeholderId": "string", "value": "string" } ] }'{ "literal": [ "string" ], "recomposed": [ "string" ], "routes": [ { "key": "string", "placeholderId": "string", "target": "form" } ]}Replace integration metadata with optimistic concurrency PUT
Replace integration metadata with optimistic concurrency - PUT /documents/{documentId}/metadata. DocDealer REST API reference.
Resolve a filled placeholder to a form/memory proposal POST
Resolve a filled placeholder to a form/memory proposal - POST /documents/{documentId}/resolve-placeholder. DocDealer REST API reference.